<?php
if ($_POST['action'] === "save") {
    setSoftphoneArray($_POST);
}
?>

<div class="softphone_description">
    <br/>
        <p>
            <a href="http://softphone.pro/"> 
                <img src="/admin/assets/softphonepro/images/logo.png" width="350">
            </a>
        </p>
    <br/>
    <h2 class="softphone_h2">Сборка готового дистрибутива</h2>
    <p>Softphone.Pro поддерживает удаленную сборку настроенного дистрибутива. Эта функция избавляет Вас от необходимости тратить время на ввод конфигурации вручную и позволяет клиентам работать с приложением сразу после запуска.</p>
    <p>Для этого:</p>
    <ul>
        <li>Укажите в форме SIP-настройки, которые соответствуют конфигурации вашей телефонии</li>
        <li>Скопируйте уникальную ссылку для скачивания готового к работе дистрибутива и передайте ее пользователю</li>
        <li>Пользователь скачивает дистрибутив Softphone.Pro по ссылке и устанавливает его на свой компьютер</li>
    </ul>
    <br/>
</div>
<!-- Settings -->
<h2 class="softphone_h2">SIP-настройки</h2>
<form method="post">
    <input type="hidden" name="action" value="save">
    <table class="softphone_settings">
        <thead>
            <tr>
                <td class="softphone_label"></td>
                <td class="softphone_input"></td>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>
                    Лицензионный ключ
                </td>
                <td>
                    <input type="text" name="sip_license_key" id="sip_license_key" value="<?php echo softphoneGet('sip_license_key'); ?>">
                </td>
            </tr>
            <tr>
                <td>
                    SIP сервер
                </td>
                <td>
                    <input type="text" name="sip_server" id="sip_server" value="<?php echo softphoneGet('sip_server'); ?>">
                </td>
            </tr>
            <tr>
                <td>
                    Домен
                </td>
                <td>
                    <input type="text" name="sip_domain" id="sip_domain" value="<?php echo softphoneGet('sip_domain'); ?>">
                </td>
            </tr>
            <tr>
                <td>
                    SIP прокси
                </td>
                <td>
                    <input type="text" name="sip_proxy" id="sip_proxy" value="<?php echo softphoneGet('sip_proxy'); ?>">
                </td>
            </tr>
            <tr>
                <td>
                </td>
                <td>
                    <input type="submit" value="Сохранить">
                </td>
            </tr>
        </tbody>
    </table>    
</form>
<br/>
<br/>
<!-- Table with links -->
<h2 class="softphone_h2">Ссылки для скачивания</h2>
<input type="hidden" id="distrib_link" value="http://online.softphone.pro:8888/build?" readonly="true">
<table class="softphone_link table table-striped ext-list table-hover">
    <thead>
        <tr>
            <th style="width: 5%;">Добавочный</th>
            <th style="width: 85%;">Ссылка</th>
            <th style="width: 10%;"></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach (softphoneGetExtension() as $key => $data): ?>
            <tr>
                <td>
                    <?php echo $data['ext']; ?>
                    <input type="hidden" id="ext_<?php echo $key?>" value="<?php echo $data['ext']; ?>" readonly="true">
                    <input type="hidden" id="pass_<?php echo $key?>" value="<?php echo $data['pass']; ?>" readonly="true">
                </td>
                <td>
                    <input class="visible_url" type="text" data-counter="<?php echo $key?>" id="visible_url_<?php echo $key?>" value="<?php echo $data['url']; ?>" readonly>
                </td>
                <td>
                    <input type="button" data-clipboard-target="#visible_url_<?php echo $key?>" class="copy_btn" id="copy_<?php echo $key?>" value="Скопировать ссылку">
                </td>
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>